/**
* =====================================================
* -------------------- For desktop --------------------
* =====================================================
*/

/* ---------------- For Top header ---------------- */
.woa-top-bar-wrap {
  .widget_nav_menu {
    ul li:first-child {
      display: none;
    }
  }
}

/* ---------------- For header ---------------- */
.site-header {
  border: none !important;
  margin-bottom: 10px !important;
  padding-top: 0 !important;
  /* Logo */
  .site-branding {
    padding: 0;
    margin-right: 0 !important;
    width: auto !important;
    img {
      width: 512px;
    }
  }
  /* Right header */
  .secondary-navigation,
  .site-search,
  .site-header-cart {
    display: none !important;
  }

  /* Hide menu of shop */
  .main-navigation {
    display: none;
  }
}

/* ---------------- For content ---------------- */
.site-content {
  /* Title link */
  .woocommerce_breadcrumb_parent {
    background-color: #f2f2f2;
    .woocommerce-breadcrumb {
      max-width: 1080px;
      margin-left: auto;
      margin-right: auto;
      font-family: Helvetica;
      font-size: 14px;
      font-weight: 100;
      color: #888888 !important;
      text-transform: none;
      a {
        background-color: transparent;
        font-family: Helvetica;
        font-size: 14px;
        font-style: normal;
        color: #888888 !important;
        text-decoration: underline;
        padding-left: 0;
        margin-right: 0;
        &:after {
          border: none;
          display: inline-block;
          font: normal normal normal 1em/1 FontAwesome;
          font-size: 11px;
          text-rendering: auto;
          -webkit-font-smoothing: antialiased;
          -moz-osx-font-smoothing: grayscale;
          content: "\f054";
          position: static;
          padding-left: 15px;
        }
        &:before {
          display: none;
        }
      }
    }
  }
  /* slider */
  .slider-infohome {
    background-color: #f2f2f2 !important;
    margin-bottom: 40px;
    height: 340px !important;
    padding-top: 20px;
    .advps-slide-field-three {
      float: none !important;
      margin: 0 auto;
      padding: 0 !important;

      img {
        //width: auto !important;
        margin-left: auto !important;
        margin-right: auto !important;
        height: 300px !important;
        float: none;
        object-fit: cover;
        border-radius: initial;
      }
      .slider-title {
        background: rgba(196, 196, 196, 0.5); /* Old browsers */
        background: -moz-linear-gradient(top, rgba(196, 196, 196, 0.5) 0%, rgba(0, 0, 0, 0.6) 40%); /* FF3.6-15 */
        background: -webkit-linear-gradient(top, rgba(196, 196, 196, 0.5) 0%, rgba(0, 0, 0, 0.6) 40%); /* Chrome10-25,Safari5.1-6 */
        background: linear-gradient(to bottom, rgba(196, 196, 196, 0.5) 0%, rgba(0, 0, 0, 0.6) 70%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='rgba(196,196,196,0.5)', endColorstr='rgba(0,0,0,0.6)', GradientType=0); /* IE6-9 */
        &:hover {
          background: rgba(0, 0, 0, 0.5);
        }
        position: absolute;
        bottom: 0;
        width: 100%;
        .advps-excerpt-three {
          position: initial !important;
          max-width: 100% !important;
          padding: 0 30px;
          bottom: 140px;
          height: 90px;
          .slider-views {
            color: #ffffff;
            font-weight: bold;
            position: absolute;
            bottom: 0;
            display: none;
          }
          h2 {
            a {
              color: #ffffff !important;
              font-size: 20pt !important;
              line-height: 25pt !important;
            }
          }
        }
      }
    }
  }
  .storefront-product-section {
    display: block !important;
    h2.section-title {
      padding-top: 25px;
    }
  }

  /* Widget */
  .widget-area {
    .widget_search {
      .widget-title {
        display: none;
      }
      .search-form {
        &:before {
          top: 18px;
          right: 1em;
          left: auto;
          font-size: 20px;
        }
        .search-field {
          border-radius: 0;
          height: 55px;
          font-family: Helvetica;
          font-size: 17px;
          padding-top: 16px;
          padding-left: 25px;
          padding-right: 40px;
        }
      }
    }
    .widget_recent_entries {
      .widget-title {
        padding-bottom: 0;
        border: 0;
        font-family: Helvetica;
        font-size: 16px;
        color: #333333;
      }
      ul {
        margin-left: 0;
        li {
          margin-left: 70px;
          min-height: 90px;
          font-family: Helvetica;
          font-size: 14px;
          color: #333333;
          clear: both;
          &:before {
            display: none;
          }
          a {
            text-decoration: none;
            img {
              width: 60px;
              float: left;
              margin-right: 10px;
              margin-left: -70px;
              border-radius: 0;
            }
          }
        }
      }
    }
    .widget_recent_viewed_posts {
      .widget-title {
        padding-bottom: 0;
        border: 0;
        font-family: Helvetica;
        font-size: 16px;
        color: #333333;
      }
      ul {
        margin-left: 0;
        li {
          min-height: 90px;
          font-family: Helvetica;
          font-size: 14px;
          color: #333333;
          &:before {
            display: none;
          }
          a {
            text-decoration: none;
            img {
              width: 60px;
              float: left;
              border-radius: 0;
            }
          }
        }
      }
    }
  }

  /* main content */
  .col-full {
    max-width: 1080px;
    padding: 0;
    .content-area {
      width: 74.53704%;
      margin-right: 4.16666%;
      margin-bottom: 0;
      color: #ffffff;
      .page-header {
        .page-title {
          font-family: Helvetica;
          font-size: 30px;
          font-weight: 600;
        }
      }
      .infoHomeClearfix {
        margin-bottom: 30px;
        &:after {
          border-bottom: none;
        }
        .infoHomeColumn.infoHomeMenu {
          width: 27.3292%;
          padding: 1px 0;
          img {
            border-radius: 0;
            margin: 0 auto;
          }
        }
        .infoHomeColumn.infoHomeContent {
          width: 72.6708%;
          padding: 0 0 0 30px;
          .title-content {
            font-family: "Times New Romans", "Tinos";
            font-size: 24px;
            color: #333333;
            line-height: 32px;
          }
          .main-content {
            font-family: Helvetica;
            font-size: 16px;
            color: #888888;
            line-height: 22px;
          }
          .qtranxs-available-languages-message,
          .author-content {
            padding-top: 5px;
            bottom: 0;
            font-family: Helvetica;
            font-size: 14px;
            color: #888888;
            a {
              color: #333333;
            }
          }
        }
      }
      .navigation.pagination {
        border: none;
        margin-top: 50px;
        .nav-links {
          display: inline-block;
          span.page-numbers,
          a.page-numbers{
            float: left;
            width: 30px;
            height: 30px;
            background: #f2f2f2;
            margin-right: 10px;
            color: #333333 !important;
            font-family: Helvetica;
            font-size: 14px;
            line-height: 30px;
          }

          ul.page-numbers {
            .page-numbers{
              float: left;
              width: auto;
              height: 30px;
              background: #f2f2f2;
              margin-right: 10px;
              color: #333333 !important;
              font-family: Helvetica;
              font-size: 14px;
              line-height: 26px;
            }
          }
          .current {
            background: #333333!important;
            color: #ffffff !important;
          }
        }
      }
      /* For content on detail page*/
      .entry-header {
        border: none;
        h1, h2, h3, h4, h5, h6 {
          font-family: "Times New Roman", Tinos;
          font-size: 30px;
          color: #333333;
        }
        p {
          text-align: left;
          font-family: Helvetica;
          font-size: 14px;
          color: #888888;
          a {
            color: #333333;
          }
        }
      }
      .entry-content {
        width: 100%;
        font-family: Helvetica;
        color: #333333;
        h1, h2, h3, h4, h5, h6 {
          font-family: "Times New Roman", Tinos;
        }
        img {
          margin: 0 auto !important;
        }
        a {
          color: #32afed !important;
        }
        .juiz_sps_links {
          margin: 50px 0;
          .juiz_sps_links_list {
            .juiz_sps_item {
              width: 50%;
              float: right;
              text-align: center;
              height: 60px;
              font-size: 18px;
              font-family: Helvetica;
              &.juiz_sps_link_facebook {
                padding-left: 5px !important;
              }
              &.juiz_sps_link_twitter {
                padding-right: 5px !important;
              }
              a {
                vertical-align: middle;
                color: #ffffff !important;
              }
            }
          }
        }
      }
    }
    .entry-meta {
      width: 100%;
      background-color: #f2f2f2;
      padding: 15px 30px;
      margin: 40px 0 !important;
      .entry-meta-left {
        width: 45%;
        float: left;
        .avatar {
          float: left;
          width: 70px;
          height: 70px;
          border-radius: 50%;
          margin-bottom: 0 !important;
          margin-right: 30px;
        }
        .author {
          margin-bottom: 0;
          a {
            font-family: Helvetica;
            font-size: 20px;
            color: #333333 !important;
          }
        }
        .cat-links {
          margin-bottom: 0;
          a {
            margin-right: 5px;
            font-family: Helvetica;
            font-size: 16px;
            font-weight: 100 !important;
            color: #888888 !important;
          }
        }
      }
      .tags-links {
        width: 55%;
        float: left;
        font-family: Helvetica;
        font-size: 16px;
        font-weight: 100 !important;
        color: #888888 !important;
        margin-bottom: 0 !important;
        a {
          margin-right: 5px;
          font-family: Helvetica;
          font-size: 16px;
          font-weight: 100 !important;
          color: #888888 !important;
        }
      }
    }
    .relprodscontainer {
      .relprodtit {
        font-family: "Times New Roman", Tinos;
        font-size: 26px;
        font-weight: 100;
        color: #333333;
        border-color: #333333;
      }
      .lSSlideOuter {
        .lSSlideWrapper {
          .relprods {
            width: 100%;
            .prodImg {
              img {
                margin-left: auto !important;
              }
            }
            .product-title {
              text-align: left;
              min-height: 50px;
              padding-left: 10px;
              font-family: Helvetica;
              font-size: 16px;
              font-weight: 600;
              color: #333333;
            }
            .product-price {
              text-align: left;
              padding-left: 10px;
              font-family: Helvetica;
              font-size: 16px;
              color: #888888;
            }
            .add_to_cart_inline {
              font-family: Helvetica;
              .button {
                font-weight: 200;
                background: #32afed !important;
              }
            }
          }
          .lSAction {
            display: none !important;
          }
        }
      }
    }

    .navigation.post-navigation {
      .nav-links {
        .nav-previous {
          a {
            display: table;
            font-family: Helvetica;
            font-size: 14px;
            font-weight: 100;
            color: #888888 !important;
            &:before {
              display: table-cell;
              vertical-align: middle;
              content: '\f053';
              padding-right: 20px;
              font-size: 20px;
            }
          }
        }
        .nav-next {
          a {
            display: table;
            font-family: Helvetica;
            font-size: 14px;
            font-weight: 100;
            color: #888888 !important;
            float: right;
            &:after {
              display: table-cell;
              vertical-align: middle;
              content: '\f054';
              padding-left: 20px;
              font-size: 20px;
            }
          }
        }
      }
    }

    .widget-area {
      width: 21.2963%;
    }
  }
}

/* ---------------- For Footer ---------------- */
.site-footer {
  padding-bottom: 0 !important;
  .col-full {
    margin: auto !important;
    padding: 0 18px !important;
  }
  /* banner */
  .banner_footer_news {
    width: 540px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 30px;
    margin-bottom: 15px;
    float: right;
    a {
      float: left;
    }
    img {
      width: 130px;
      height: 49px;
      margin-bottom: 5px;
      margin-right: 5px;
    }
  }
  .banner_footer_ec {
    display: none;
  }

  /* footer 1*/
  .footer-widget-1 {
    width: 171px !important;
    margin-right: 0 !important;
    .widget_nav_menu {
      font-family: Helvetica;
      font-size: 14px;
      color: #333333;
      margin: 0;
      .menu-footer-shop-menu-container {
        display: none;
      }
    }
  }

  /* footer 3*/
  .footer-widget-3 {
    width: 100% !important;
    float: left !important;
    clear: both;
    .widget-wpusb-follow {
      float: left;
      margin-right: 20px !important;
    }
    .widget-wpusb {
      margin-top: 7px;
      float: left;
    }
  }
}

/* footer site info */
.footer_site_info {
  .site-info {

  }
}

/**
* ====================================================
* -------------------- For mobile --------------------
* ====================================================
*/
@media screen and (max-width: 768px) {
  /* ---------------- For top header ---------------- */
  .woa-top-bar-wrap {
    .woa-top-bar {
      .woa-top-bar-1 {
        float: left;
      }
    }
  }

  /* ---------------- For header ---------------- */
  .site-header {
    position: relative;
    top: 0;
    &:before {
      font-size: 15px;
      height: 48px;
      padding-top: 8px;
      padding-bottom: 7px;
    }
    /* Right header */
    .secondary-navigation,
    .site-search,
    .site-header-cart {
      display: none;
    }

    .main-navigation {
      .menu-toggle {
        display: none;
      }
    }
  }

  /* ---------------- For Content ---------------- */
  .site-content {
    /* Title link */
    .woocommerce_breadcrumb_parent {
      .woocommerce-breadcrumb {
        a {
          //padding-bottom: 0;
        }
      }
    }
    /* slider */
    .slider-infohome {
      .advps-slide-field-three {
        img {
          height: 280px !important;
          margin-bottom: 20px !important;
        }

        .slider-title {
          .advps-excerpt-three {
            h2 {
              a {
                font-size: 20px !important;
              }
            }
          }
        }
      }
    }
    .storefront-product-section {
      display: none;
      h2.section-title {
        padding-bottom: 0;
      }
    }

    /* main content */
    .col-full {
      .content-area {
        width: 100%;
        margin-right: 0;
        .infoHomeClearfix {
          .infoHomeColumn.infoHomeContent {
            .title-content {
              font-size: 17px;
              color: #333333;
              display: none;
            }
            .mobile-title {
              display: block !important;
            }
            .main-content {
              font-size: 12px;
              display: none;
            }
            .author-content {
              font-size: 12px;
            }
          }
        }
        .navigation.pagination {
          margin-top: 30px;
          border-bottom: 1px solid rgba(0, 0, 0, .05);
          border-width: 1px 0;
        }
        .entry-meta {
          .entry-meta-left {
            width: 100%;
            float: none;
            overflow: hidden;
          }
          .tags-links {
            width: 100%;
            float: none;
            margin-top: 20px;
          }
        }
        .relprodscontainer {
          .content-slider {
          }
        }

        .navigation.post-navigation {
          .nav-links {
            div {
              display: none!important;
            }
            .nav_mobile {
              display: block!important;
            }
          }
        }
      }
      .widget-area {
        width: 100%;
      }
    }
  }

  /* ---------------- For Footer ---------------- */
  .site-footer {
    /* footer 3*/
    .footer-widget-3 {
      .widget-wpusb-follow {
        float: none;
      }
      .widget-wpusb {
        margin-top: 7px;
        float: none;
      }
    }

    .banner_footer_news {
      width: 270px;
      float: none;
      margin: 20px auto !important;
      a {
        float: none;
      }
    }

    .footer-widget-1 {
      margin: 0 auto !important;
    }

    .site-info {
      text-align: center;
    }
  }

  .site-header {
    .site-branding {
      padding-left: 0px;
      float: none;
      img {
        width: 320px;
      }
    }
  }

  .site-header {
    padding-top: 0px !important;
  }

  ul.products li.product, .storefront-handheld-footer-bar {
    display: none;
  }

  .alpha, h1 {
    font-size: 1.5em;
  }

  .hentry .entry-meta .label {
    font-size: 0.75em;
  }

  .infoHomeContent a, .entry-meta a, .entry-title a {
    font-weight: normal;
  }

  .beta, h2 {
    font-size: 1.5em;
  }
}
